"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _Message = require("../../../../types/Message");
var _Component = require("../../../../context/Socket/Component");
var _attach_icon = _interopRequireDefault(require("../../../../assets/attach_icon.png"));
var _send_icon = _interopRequireDefault(require("../../../../assets/send_icon.png"));
var _reactNativeImagePicker = require("react-native-image-picker");
var _styles = require("./styles");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const ONE_THOUSAND = 1000;
function Input() {
  const {
    handleSubmitMessage
  } = (0, _Component.useSocketContext)();
  const [userText, setUserText] = (0, _react.useState)('');
  console.log('IMAGEÌCKER', _reactNativeImagePicker.launchImageLibrary);
  const onAttach = (0, _react.useCallback)(async () => {
    // launchImageLibrary({ mediaType: 'photo' }, (a) => {
    //   console.log('yo', a);
    // });
    // const uri = result.assets ? result.assets[0]?.uri : '';

    const msg = {
      from: _Message.From.USER,
      ext: 'jpg',
      isMedia: true,
      type: _Message.MessageTypes.IMAGE,
      message: 'uri'
    };
    handleSubmitMessage(msg);
  }, []);
  const onSend = () => {
    if (!userText) return;else {
      const msg = {
        type: _Message.MessageTypes.TEXT,
        message: userText,
        from: _Message.From.USER
      };
      handleSubmitMessage(msg);
      setUserText('');
    }
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, {
    placeholder: "Digite algo ...",
    placeholderTextColor: "#979AA5",
    onChangeText: setUserText,
    style: _styles.styles.input,
    value: userText,
    maxLength: ONE_THOUSAND
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.icons
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onAttach
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: _attach_icon.default,
    style: _styles.styles.attachIcon
  })), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: onSend
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: _send_icon.default,
    style: _styles.styles.sendIcon
  }))));
}
var _default = Input;
exports.default = _default;
//# sourceMappingURL=index.js.map