"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _Slider = _interopRequireDefault(require("./components/Slider"));
var _PlayPauseButton = _interopRequireDefault(require("./components/PlayPauseButton"));
var _expoAv = require("expo-av");
var _millisToMinutesAndSeconds = require("./utils/millisToMinutesAndSeconds");
var _getPlayedPercentage = require("./utils/getPlayedPercentage");
var _getPlayerPosition = require("./utils/getPlayerPosition");
var _styles = require("./styles");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const AudioComponent = props => {
  const [soundState, setSoundState] = (0, _react.useState)();
  const [playbackStatus, setPlaybackStatus] = (0, _react.useState)();
  async function playSound() {
    await (soundState === null || soundState === void 0 ? void 0 : soundState.playAsync());
  }
  async function pauseSound() {
    await (soundState === null || soundState === void 0 ? void 0 : soundState.pauseAsync());
  }
  const onPlayPausePress = () => {
    playbackStatus !== null && playbackStatus !== void 0 && playbackStatus.isPlaying ? pauseSound() : playSound();
  };
  const onSliderChange = value => {
    soundState === null || soundState === void 0 ? void 0 : soundState.setPositionAsync((0, _getPlayerPosition.getPlayedPosition)({
      duration: playbackStatus === null || playbackStatus === void 0 ? void 0 : playbackStatus.durationMillis,
      playedPercentage: value
    }));
  };
  (0, _react.useEffect)(() => {
    (async () => {
      var _props$audio;
      const {
        sound
      } = await _expoAv.Audio.Sound.createAsync({
        uri: (_props$audio = props.audio) === null || _props$audio === void 0 ? void 0 : _props$audio.fileUrl
      });
      sound.setOnPlaybackStatusUpdate(status => setPlaybackStatus(status));
      setSoundState(sound);
    })();
  }, []);
  (0, _react.useEffect)(() => {
    return soundState ? () => {
      soundState.unloadAsync();
    } : undefined;
  }, [soundState]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.audio
  }, /*#__PURE__*/_react.default.createElement(_PlayPauseButton.default, {
    isPlaying: !!(playbackStatus !== null && playbackStatus !== void 0 && playbackStatus.isPlaying),
    onPress: onPlayPausePress
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: _styles.styles.duration
  }, (0, _millisToMinutesAndSeconds.millisToMinutesAndSeconds)(playbackStatus === null || playbackStatus === void 0 ? void 0 : playbackStatus.positionMillis), " /", ' ', (0, _millisToMinutesAndSeconds.millisToMinutesAndSeconds)(playbackStatus === null || playbackStatus === void 0 ? void 0 : playbackStatus.durationMillis)), /*#__PURE__*/_react.default.createElement(_Slider.default, {
    onValueChange: onSliderChange,
    value: (0, _getPlayedPercentage.getPlayedPercentage)({
      currentTime: playbackStatus === null || playbackStatus === void 0 ? void 0 : playbackStatus.positionMillis,
      duration: playbackStatus === null || playbackStatus === void 0 ? void 0 : playbackStatus.durationMillis
    })
  }));
};
var _default = /*#__PURE__*/(0, _react.memo)(AudioComponent);
exports.default = _default;
//# sourceMappingURL=index.js.map