"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _CarouselActions = _interopRequireDefault(require("./components/CarouselActions"));
var _CarouselButton = _interopRequireDefault(require("./components/CarouselButton"));
var _CarouselWrapper = _interopRequireDefault(require("./components/CarouselWrapper"));
var _CarouselSlider = _interopRequireDefault(require("./components/CarouselSlider"));
var _CarouselSliderContent = _interopRequireDefault(require("./components/CarouselSliderContent"));
var _CarouselCardInfo = _interopRequireDefault(require("./components/CarouselCardInfo"));
var _CustomImage = _interopRequireDefault(require("./components/CustomImage"));
var _Component = require("../../../../../../context/Socket/Component");
var _styles = require("./styles");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const SLIDE_WIDTH = 210;
var _default = message => {
  var _message$carousel, _message$carousel$car, _message$carousel2, _message$carousel2$ca, _message$carousel3, _message$carousel3$ca;
  const [slidePosition, setSlidePosition] = (0, _react.useState)(0);
  const {
    handleCarouselButtonClick
  } = (0, _Component.useSocketContext)();
  const previousDisabled = slidePosition === 0;
  const nextDisabled = Math.abs(slidePosition) === (message === null || message === void 0 ? void 0 : (_message$carousel = message.carousel) === null || _message$carousel === void 0 ? void 0 : (_message$carousel$car = _message$carousel.cards) === null || _message$carousel$car === void 0 ? void 0 : _message$carousel$car.length) - 1;
  const handleNextSlide = () => {
    if (nextDisabled) return;
    setSlidePosition(prevState => prevState - 1);
  };
  const handlePreviousSlide = () => {
    if (previousDisabled) return;
    setSlidePosition(prevState => prevState + 1);
  };
  const handleButtonClick = _ref => {
    let {
      clickedButton,
      clickedCard
    } = _ref;
    handleCarouselButtonClick({
      clickedButton,
      clickedCard
    });
  };
  const checkButtonIsEmpty = button => {
    return (button === null || button === void 0 ? void 0 : button.label) === '';
  };
  const checkHasInfo = card => {
    return (card === null || card === void 0 ? void 0 : card.title) !== '' || (card === null || card === void 0 ? void 0 : card.description) !== '';
  };
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_CarouselWrapper.default, null, /*#__PURE__*/_react.default.createElement(_CarouselSlider.default, null, /*#__PURE__*/_react.default.createElement(_CarouselSliderContent.default, {
    style: {
      left: slidePosition * SLIDE_WIDTH
    }
  }, message === null || message === void 0 ? void 0 : (_message$carousel2 = message.carousel) === null || _message$carousel2 === void 0 ? void 0 : (_message$carousel2$ca = _message$carousel2.cards) === null || _message$carousel2$ca === void 0 ? void 0 : _message$carousel2$ca.map(card => {
    var _card$buttons;
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      key: card._id
    }, card.imageUrl ? /*#__PURE__*/_react.default.createElement(_CustomImage.default, {
      src: card.imageUrl
    }) : /*#__PURE__*/_react.default.createElement(_reactNative.Text, null), /*#__PURE__*/_react.default.createElement(_CarouselCardInfo.default, {
      hasInfo: checkHasInfo(card)
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: [_styles.styles.carouselCardInfoText, _styles.styles.carouselCardInfoTitle]
    }, card.title), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: _styles.styles.carouselCardInfoText
    }, card.description)), card === null || card === void 0 ? void 0 : (_card$buttons = card.buttons) === null || _card$buttons === void 0 ? void 0 : _card$buttons.map(button => !checkButtonIsEmpty(button) && /*#__PURE__*/_react.default.createElement(_CarouselButton.default, {
      key: button === null || button === void 0 ? void 0 : button._id,
      onPress: () => handleButtonClick({
        clickedCard: card,
        clickedButton: button
      })
    }, button === null || button === void 0 ? void 0 : button.label)));
  }))), (message === null || message === void 0 ? void 0 : (_message$carousel3 = message.carousel) === null || _message$carousel3 === void 0 ? void 0 : (_message$carousel3$ca = _message$carousel3.cards) === null || _message$carousel3$ca === void 0 ? void 0 : _message$carousel3$ca.length) > 1 && /*#__PURE__*/_react.default.createElement(_CarouselActions.default, {
    onPrevious: handlePreviousSlide,
    onNext: handleNextSlide,
    previousDisabled: previousDisabled,
    nextDisabled: nextDisabled
  })));
};
exports.default = _default;
//# sourceMappingURL=index.js.map