"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var FileSystem = _interopRequireWildcard(require("expo-file-system"));
var _getFilenameFromAttachment = require("../../../../../../utils/getFilenameFromAttachment");
var _ChatConfigurations = require("../../../../../../context/ChatConfigurations");
var _attach_icon = _interopRequireDefault(require("../../../../../../assets/attach_icon.png"));
var _save = require("../../../../../../utils/save");
var _styles = require("./styles");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const DocumentComponent = msg => {
  const {
    botConfigs
  } = (0, _ChatConfigurations.useChatConfigurations)();
  const fileUrl = msg.document;
  const fileName = (0, _getFilenameFromAttachment.getFileNameFromAttachment)(fileUrl);
  const downloadFile = () => {
    FileSystem.downloadAsync(fileUrl.fileUrl, FileSystem.documentDirectory + fileName).then(doc => {
      (0, _save.saveAndroidFile)({
        fileName,
        fileUri: doc.uri,
        contentType: doc.headers['content-type']
      });
    }).catch(console.log);
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: _styles.styles.container,
    onPress: downloadFile
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: _attach_icon.default,
    style: _styles.styles.image
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: {
      color: botConfigs.colors.secondaryText
    }
  }, fileName));
};
var _default = /*#__PURE__*/(0, _react.memo)(DocumentComponent);
exports.default = _default;
//# sourceMappingURL=index.js.map