"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useAsyncStorage = exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const storageKey = '@react-native-code7-boteria-widget';
const initialState = {
  clearAsync: async () => {},
  saveDataAsync: async () => {},
  getItemsAsync: async () => {
    return {};
  }
};
const AsyncStorageContext = /*#__PURE__*/(0, _react.createContext)(initialState);
const AsyncStorageProvider = props => {
  const saveDataAsync = (0, _react.useCallback)(async data => {
    const newData = JSON.stringify(data);
    await _reactNative.AsyncStorage.setItem(storageKey, newData);
  }, []);
  const getItemsAsync = async () => {
    const data = await _reactNative.AsyncStorage.getItem(storageKey);
    return JSON.parse(data || '{}');
  };
  const clearAsync = async () => {
    await _reactNative.AsyncStorage.clear();
  };
  return /*#__PURE__*/_react.default.createElement(AsyncStorageContext.Provider, {
    value: {
      getItemsAsync,
      clearAsync,
      saveDataAsync
    }
  }, props.children);
};
var _default = AsyncStorageProvider;
exports.default = _default;
const useAsyncStorage = () => (0, _react.useContext)(AsyncStorageContext);
exports.useAsyncStorage = useAsyncStorage;
//# sourceMappingURL=AsyncStorage.js.map