"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFileNameFromUrl = exports.getFileNameFromAttachment = void 0;
const getFileNameFromUrl = url => {
  const fullFilename = url.slice(url.lastIndexOf('/') + 1, url.length);
  const filenameWAux = fullFilename.replace(/([0-9a-fA-F]{24})-([0-9a-fA-F]{24})-/, '');
  const auxCharactersQuantity = 20;
  const [filename, ext] = filenameWAux.split('.');
  return `${filename === null || filename === void 0 ? void 0 : filename.slice(0, -auxCharactersQuantity)}.${ext}`;
};
exports.getFileNameFromUrl = getFileNameFromUrl;
const getFileNameFromAttachment = document => document.size ? document.title : getFileNameFromUrl(document.fileUrl);
exports.getFileNameFromAttachment = getFileNameFromAttachment;
//# sourceMappingURL=getFilenameFromAttachment.js.map