import React, { useState, useCallback } from 'react';
import { TextInput, View, TouchableOpacity, Image } from 'react-native';
import { MessageTypes, From } from '../../../../types/Message';
import { useSocketContext } from '../../../../context/Socket/Component';
import attachIcon from '../../../../assets/attach_icon.png';
import sendIcon from '../../../../assets/send_icon.png';
import { launchImageLibrary } from 'react-native-image-picker';
import { styles } from './styles';
const ONE_THOUSAND = 1000;
function Input() {
  const {
    handleSubmitMessage
  } = useSocketContext();
  const [userText, setUserText] = useState('');
  console.log('IMAGEÌCKER', launchImageLibrary);
  const onAttach = useCallback(async () => {
    // launchImageLibrary({ mediaType: 'photo' }, (a) => {
    //   console.log('yo', a);
    // });
    // const uri = result.assets ? result.assets[0]?.uri : '';

    const msg = {
      from: From.USER,
      ext: 'jpg',
      isMedia: true,
      type: MessageTypes.IMAGE,
      message: 'uri'
    };
    handleSubmitMessage(msg);
  }, []);
  const onSend = () => {
    if (!userText) return;else {
      const msg = {
        type: MessageTypes.TEXT,
        message: userText,
        from: From.USER
      };
      handleSubmitMessage(msg);
      setUserText('');
    }
  };
  return /*#__PURE__*/React.createElement(View, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(TextInput, {
    placeholder: "Digite algo ...",
    placeholderTextColor: "#979AA5",
    onChangeText: setUserText,
    style: styles.input,
    value: userText,
    maxLength: ONE_THOUSAND
  }), /*#__PURE__*/React.createElement(View, {
    style: styles.icons
  }, /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onAttach
  }, /*#__PURE__*/React.createElement(Image, {
    source: attachIcon,
    style: styles.attachIcon
  })), /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onSend
  }, /*#__PURE__*/React.createElement(Image, {
    source: sendIcon,
    style: styles.sendIcon
  }))));
}
export default Input;
//# sourceMappingURL=index.js.map