import React, { useState } from 'react';
import { Text, View } from 'react-native';
import CarouselActions from './components/CarouselActions';
import CarouselCardButton from './components/CarouselButton';
import CarouselWrapper from './components/CarouselWrapper';
import CarouselSlider from './components/CarouselSlider';
import CarouselSliderContent from './components/CarouselSliderContent';
import CarouselCardInfo from './components/CarouselCardInfo';
import CustomImage from './components/CustomImage';
import { useSocketContext } from '../../../../../../context/Socket/Component';
import { styles } from './styles';
const SLIDE_WIDTH = 210;
export default (message => {
  var _message$carousel, _message$carousel$car, _message$carousel2, _message$carousel2$ca, _message$carousel3, _message$carousel3$ca;
  const [slidePosition, setSlidePosition] = useState(0);
  const {
    handleCarouselButtonClick
  } = useSocketContext();
  const previousDisabled = slidePosition === 0;
  const nextDisabled = Math.abs(slidePosition) === (message === null || message === void 0 ? void 0 : (_message$carousel = message.carousel) === null || _message$carousel === void 0 ? void 0 : (_message$carousel$car = _message$carousel.cards) === null || _message$carousel$car === void 0 ? void 0 : _message$carousel$car.length) - 1;
  const handleNextSlide = () => {
    if (nextDisabled) return;
    setSlidePosition(prevState => prevState - 1);
  };
  const handlePreviousSlide = () => {
    if (previousDisabled) return;
    setSlidePosition(prevState => prevState + 1);
  };
  const handleButtonClick = _ref => {
    let {
      clickedButton,
      clickedCard
    } = _ref;
    handleCarouselButtonClick({
      clickedButton,
      clickedCard
    });
  };
  const checkButtonIsEmpty = button => {
    return (button === null || button === void 0 ? void 0 : button.label) === '';
  };
  const checkHasInfo = card => {
    return (card === null || card === void 0 ? void 0 : card.title) !== '' || (card === null || card === void 0 ? void 0 : card.description) !== '';
  };
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(CarouselWrapper, null, /*#__PURE__*/React.createElement(CarouselSlider, null, /*#__PURE__*/React.createElement(CarouselSliderContent, {
    style: {
      left: slidePosition * SLIDE_WIDTH
    }
  }, message === null || message === void 0 ? void 0 : (_message$carousel2 = message.carousel) === null || _message$carousel2 === void 0 ? void 0 : (_message$carousel2$ca = _message$carousel2.cards) === null || _message$carousel2$ca === void 0 ? void 0 : _message$carousel2$ca.map(card => {
    var _card$buttons;
    return /*#__PURE__*/React.createElement(View, {
      key: card._id
    }, card.imageUrl ? /*#__PURE__*/React.createElement(CustomImage, {
      src: card.imageUrl
    }) : /*#__PURE__*/React.createElement(Text, null), /*#__PURE__*/React.createElement(CarouselCardInfo, {
      hasInfo: checkHasInfo(card)
    }, /*#__PURE__*/React.createElement(Text, {
      style: [styles.carouselCardInfoText, styles.carouselCardInfoTitle]
    }, card.title), /*#__PURE__*/React.createElement(Text, {
      style: styles.carouselCardInfoText
    }, card.description)), card === null || card === void 0 ? void 0 : (_card$buttons = card.buttons) === null || _card$buttons === void 0 ? void 0 : _card$buttons.map(button => !checkButtonIsEmpty(button) && /*#__PURE__*/React.createElement(CarouselCardButton, {
      key: button === null || button === void 0 ? void 0 : button._id,
      onPress: () => handleButtonClick({
        clickedCard: card,
        clickedButton: button
      })
    }, button === null || button === void 0 ? void 0 : button.label)));
  }))), (message === null || message === void 0 ? void 0 : (_message$carousel3 = message.carousel) === null || _message$carousel3 === void 0 ? void 0 : (_message$carousel3$ca = _message$carousel3.cards) === null || _message$carousel3$ca === void 0 ? void 0 : _message$carousel3$ca.length) > 1 && /*#__PURE__*/React.createElement(CarouselActions, {
    onPrevious: handlePreviousSlide,
    onNext: handleNextSlide,
    previousDisabled: previousDisabled,
    nextDisabled: nextDisabled
  })));
});
//# sourceMappingURL=index.js.map