import React, { useRef, useEffect, memo } from 'react';
import { View, Animated } from 'react-native';
import { styles } from './styles';
const TWO_HUNDRED_MILLISECONDS = 180;
const Typing = () => {
  const dots = [useRef(new Animated.Value(1)).current, useRef(new Animated.Value(2)).current, useRef(new Animated.Value(3)).current];
  const bounce = () => {
    const duration = TWO_HUNDRED_MILLISECONDS;
    Animated.sequence([Animated.timing(dots[0], {
      toValue: -4,
      duration,
      useNativeDriver: true
    }), Animated.timing(dots[0], {
      toValue: 0,
      duration,
      useNativeDriver: true
    }), Animated.timing(dots[1], {
      toValue: -4,
      duration,
      useNativeDriver: true
    }), Animated.timing(dots[1], {
      toValue: 0,
      duration,
      useNativeDriver: true
    }), Animated.timing(dots[2], {
      toValue: -4,
      duration,
      useNativeDriver: true
    }), Animated.timing(dots[2], {
      toValue: 0,
      duration,
      useNativeDriver: true
    })]).start();
  };
  useEffect(() => {
    const intervalId = setInterval(() => {
      bounce();
    }, 1000);
    return () => clearInterval(intervalId);
  }, []);
  return /*#__PURE__*/React.createElement(View, {
    style: styles.wrapper
  }, dots.map((dotAnimation, index) => /*#__PURE__*/React.createElement(Animated.View, {
    key: index,
    style: [styles.dot, {
      transform: [{
        translateY: dotAnimation
      }]
    }]
  })));
};
export default /*#__PURE__*/memo(Typing);
//# sourceMappingURL=index.js.map