import React, { createContext, useContext, useCallback } from 'react';
import { AsyncStorage } from 'react-native';
const storageKey = '@react-native-code7-boteria-widget';
const initialState = {
  clearAsync: async () => {},
  saveDataAsync: async () => {},
  getItemsAsync: async () => {
    return {};
  }
};
const AsyncStorageContext = /*#__PURE__*/createContext(initialState);
const AsyncStorageProvider = props => {
  const saveDataAsync = useCallback(async data => {
    const newData = JSON.stringify(data);
    await AsyncStorage.setItem(storageKey, newData);
  }, []);
  const getItemsAsync = async () => {
    const data = await AsyncStorage.getItem(storageKey);
    return JSON.parse(data || '{}');
  };
  const clearAsync = async () => {
    await AsyncStorage.clear();
  };
  return /*#__PURE__*/React.createElement(AsyncStorageContext.Provider, {
    value: {
      getItemsAsync,
      clearAsync,
      saveDataAsync
    }
  }, props.children);
};
export default AsyncStorageProvider;
export const useAsyncStorage = () => useContext(AsyncStorageContext);
//# sourceMappingURL=AsyncStorage.js.map